Skip to main content
POST
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
containers
/
{container_group_name}
/
instances
/
{container_group_instance_id}
/
restart
Python
from salad_cloud_sdk import SaladCloudSdk

sdk = SaladCloudSdk(
    api_key="YOUR_API_KEY",
    api_key_header="YOUR_API_KEY_HEADER",
    timeout=10000
)

result = sdk.container_groups.restart_container_group_instance(
    organization_name="acme-corp",
    project_name="dev-env",
    container_group_name="mandlebrot",
    container_group_instance_id="db3a4591-efc3-46c0-b06a-3d820c0ec100"
)

print(result)
{
  "type": "about:blank",
  "title": "<string>",
  "status": 349,
  "detail": "<string>",
  "instance": "<string>"
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

container_group_name
string
required

The unique container group name The container group name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"mandlebrot"

container_group_instance_id
string<uuid>
required

The unique container group instance identifier The container group instance identifier.

Example:

"db3a4591-efc3-46c0-b06a-3d820c0ec100"

Response

Accepted